1. Finance
Tahdah API
  • Introduction
  • Webhooks
  • Unresolved schema mappings
  • TrustGroups
    • About Trust Groups
    • Endpoints
      • List Trust Groups
      • Create a Trust Group
      • Update Trust Group
      • List Trust Group Legal Entity Members
      • List Trust Group Candidate Members
      • Add Trust Group Member
      • Remove Trust Group Member
    • Member Updated
  • EventCredits
    • Add Credits to Legal Entity
    • Event Credits Updated
  • Tracker
    • About Tracker
    • Get Candidate Targets
    • Get Legal Entity Targets
  • Pathways
    • About Pathways
    • Registrations
      • About Registrations
      • Get Registrations
      • Create Registations
      • Registration Created
    • Get Legal Entity Pathways
    • Get Pathway
  • DigitalBadges
    • Issue Digital Badge
    • Get Badge Templates
  • LegalEntities
    • People/Staff
      • Legal Entity People List
      • Connect a Person to a Legal Entity
      • Person Added
      • Roles Updated
    • Legal Entity Details
    • Create Legal Entity
    • Legal Entity Created
  • Candidates
    • EndPoints
      • Create Candidate
      • Update a Candidate
      • Delete Candidate
      • Add/Remove tags to a candidate
    • Webhooks
  • Catalogues
    • Catalogue Entry Published
  • Finance
    • Ledger Entry Created
  • Schemas
    • Inbound
    • Events
      • EventTemplateCreditRequest
      • EventTemplateCredit
    • Catalogue
      • CatalogueEntry
    • Finance
      • Currency
      • InvoiceItem
      • PaymentItem
      • LedgerEntry
      • InvoiceAddress
      • Entity
    • LearningExperiences
      • LearningExperienceRef
      • PathwayTypeRef
    • Candidate
      • CandidateRef
    • LegalEntities
      • RoleRef
      • LegalEntity
      • legalEntityIdentifier
    • TrustGroupMember
    • TrustGroup
    • temp
    • Candidate
    • HATEOAS Link
  1. Finance

Ledger Entry Created

Testing
Webhook
POST
finance.entry.created
This webhook is triggered whenever an entry is created in the ledger.
if you want to only look at invoices or payments you can check the itemType property to see what type of entry this is.

Request

Header Params

Body Params application/jsonRequired

Example
{
    "header": {
        "beneficiary": {
            "name": "string",
            "id": 0,
            "entityType": 1
        },
        "payer": {
            "name": "string",
            "id": 0,
            "entityType": 1
        },
        "beneficiaryAddress": {
            "name": "string",
            "address1": "string",
            "address2": "string",
            "address3": "string",
            "t": "string",
            "county": "string",
            "postcode": "string",
            "country": "string",
            "companynumber": "string",
            "charitynumber": "string",
            "vatnumber": "string",
            "website": "string"
        },
        "payerAddress": {
            "name": "string",
            "address1": "string",
            "address2": "string",
            "address3": "string",
            "t": "string",
            "county": "string",
            "postcode": "string",
            "country": "string",
            "companynumber": "string",
            "charitynumber": "string",
            "vatnumber": "string",
            "website": "string"
        },
        "invoiceLogo": "string",
        "invoicePaymentText": "string",
        "createdDate": "2019-08-24T14:15:22.123Z",
        "dueDate": "2019-08-24T14:15:22.123Z",
        "postingDate": "2019-08-24T14:15:22.123Z",
        "notes": "string",
        "description": "string",
        "postedBy": {
            "name": "string",
            "id": 0,
            "entityType": 1
        }
    },
    "itemType": 1,
    "invoiceDetail": {
        "number": "string",
        "poNumber": "string",
        "poDocumentUrl": "string",
        "items": [
            {
                "id": 0,
                "description": "string",
                "amount": 0,
                "unitCost": 0,
                "quantity": 0,
                "nominalCode": "string",
                "tax": 0,
                "taxName": "string",
                "itemType": 0,
                "itemTypeName": "string",
                "dateSent": "2019-08-24T14:15:22.123Z",
                "dateCancelled": "2019-08-24T14:15:22.123Z"
            }
        ],
        "payments": [
            {
                "id": 0,
                "description": "string",
                "notes": "string",
                "allocatedAt": "2019-08-24T14:15:22.123Z",
                "credit": 0,
                "paymentMethod": 0,
                "paymentStatus": 1,
                "paymentReference": "string"
            }
        ]
    },
    "paymentDetail": {
        "paymentMethod": 0,
        "paymentStatus": 1,
        "paymentReference": "string"
    },
    "currency": {
        "id": 0,
        "name": "string",
        "symbol": "string",
        "isoCode": "string"
    },
    "credit": 0,
    "debit": 0
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://your-api-server.com' \
--header 'Webhook-Signature;' \
--header 'Webhook-Verb: finance.entry.created' \
--header 'Content-Type: application/json' \
--data-raw '{
    "header": {
        "beneficiary": {
            "name": "string",
            "id": 0,
            "entityType": 1
        },
        "payer": {
            "name": "string",
            "id": 0,
            "entityType": 1
        },
        "beneficiaryAddress": {
            "name": "string",
            "address1": "string",
            "address2": "string",
            "address3": "string",
            "t": "string",
            "county": "string",
            "postcode": "string",
            "country": "string",
            "companynumber": "string",
            "charitynumber": "string",
            "vatnumber": "string",
            "website": "string"
        },
        "payerAddress": {
            "name": "string",
            "address1": "string",
            "address2": "string",
            "address3": "string",
            "t": "string",
            "county": "string",
            "postcode": "string",
            "country": "string",
            "companynumber": "string",
            "charitynumber": "string",
            "vatnumber": "string",
            "website": "string"
        },
        "invoiceLogo": "string",
        "invoicePaymentText": "string",
        "createdDate": "2019-08-24T14:15:22.123Z",
        "dueDate": "2019-08-24T14:15:22.123Z",
        "postingDate": "2019-08-24T14:15:22.123Z",
        "notes": "string",
        "description": "string",
        "postedBy": {
            "name": "string",
            "id": 0,
            "entityType": 1
        }
    },
    "itemType": 1,
    "invoiceDetail": {
        "number": "string",
        "poNumber": "string",
        "poDocumentUrl": "string",
        "items": [
            {
                "id": 0,
                "description": "string",
                "amount": 0,
                "unitCost": 0,
                "quantity": 0,
                "nominalCode": "string",
                "tax": 0,
                "taxName": "string",
                "itemType": 0,
                "itemTypeName": "string",
                "dateSent": "2019-08-24T14:15:22.123Z",
                "dateCancelled": "2019-08-24T14:15:22.123Z"
            }
        ],
        "payments": [
            {
                "id": 0,
                "description": "string",
                "notes": "string",
                "allocatedAt": "2019-08-24T14:15:22.123Z",
                "credit": 0,
                "paymentMethod": 0,
                "paymentStatus": 1,
                "paymentReference": "string"
            }
        ]
    },
    "paymentDetail": {
        "paymentMethod": 0,
        "paymentStatus": 1,
        "paymentReference": "string"
    },
    "currency": {
        "id": 0,
        "name": "string",
        "symbol": "string",
        "isoCode": "string"
    },
    "credit": 0,
    "debit": 0
}'

Responses

🟢200Success
application/json
Body

Example
{}
Modified at 2026-03-11 14:52:14
Previous
Catalogue Entry Published
Next
EventTemplateCreditRequest
Built with